/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 * Copyright (C) 2001 CodeFactory AB
 * Copyright (C) 2001 Richard Hult <rhult@codefactory.se>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Richard Hult
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <math.h>
#include "util/time-utils.h"
#include "gantt-util.h"

gdouble 
gantt_util_date_to_x_offset (time_t time, time_t first_time, time_t last_time, gdouble day_width)
{
	gdouble diff;

	diff = difftime (time, first_time);
	return diff * day_width / (60*60*24);
}

time_t
gantt_util_x_to_date_hour (gint x, time_t first_time, gdouble day_width)
{
	time_t time;
	
	/* Convert an x coordinate to a time_t, aligned to the start of the hour. */

	time = first_time + x * (60*60*24) / day_width;
	return time_hour_begin (time);
}

time_t
gantt_util_x_to_date (gint x, time_t first_time, gdouble day_width)
{
	time_t time;
	
	/* Convert an x coordinate to a time_t, aligned to the start of the day. */

	time = first_time + x * (60*60*24) / day_width;
	return time_day_begin (time);
}

