%define  ver     0.5.1
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define  prefix  /usr

Summary: 	MrProject
Name: 		mrproject
Version: 	%ver
Release: 	%rel
Vendor:         CodeFactory AB
Copyright: 	GPL
Group: 		Applications/Project Management
Url:		http://mrproject.codefactory.se
Source: 	%{name}-%{ver}.tar.gz
BuildRoot:	/var/tmp/mrproject-%{PACKAGE_VERSION}-root
Docdir: 	%{prefix}/doc

Requires:	glib >= 1.2.9
Requires:	gtk+ >= 1.2.9
Requires:	libxml >= 1.8.14
Requires:	gnome-libs >= 1.2.8
Requires:	ORBit >= 0.5.7
Requires:	oaf >= 0.6.5
Requires:	gnome-vfs >= 1.0.0
Requires:	gdk-pixbuf >= 0.8.0
Requires:	bonobo >= 1.0.7
Requires:	popt >= 1.5
Requires:	gnome-print >= 0.25
Requires:	gal >= 0.18
Requires:	libglade >= 0.14

BuildRequires:	glib-devel >= 1.2.9
BuildRequires:	gtk+-devel >= 1.2.9
BuildRequires:	libxml-devel >= 1.8.14
BuildRequires:	gnome-libs-devel >= 1.2.8
BuildRequires:	ORBit-devel >= 0.5.7
BuildRequires:	oaf-devel >= 0.6.5
BuildRequires:	gnome-vfs-devel >= 1.0.0
BuildRequires:	gdk-pixbuf-devel >= 0.8.0
BuildRequires:	bonobo-devel >= 1.0.7
BuildRequires:	popt >= 1.5
BuildRequires:	gnome-print-devel >= 0.25
BuildRequires:	gal-devel >= 0.18
BuildRequires:	libglade-devel >= 0.14

%description
MrProject, a project management application for GNOME.

%prep
%setup -q

%build

%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

## Warning!  Make sure there are no spaces or tabs after the \ 
## continuation character, or else the rpm demons will eat you.
CFLAGS="$RPM_OPT_FLAGS" ./configure \
    $MYARCH_FLAGS --enable-more-warnings=no \
    --prefix=%{_prefix} --datadir=%{_datadir} \
    --sysconfdir=%{_sysconfdir} --includedir=%{_includedir} \
    --libdir=%{_libdir} --bindir=%{_bindir}

make -k

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make -k prefix=$RPM_BUILD_ROOT/%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} \
    includedir=$RPM_BUILD_ROOT/%{_includedir} \
    libdir=$RPM_BUILD_ROOT/%{_libdir} \
    bindir=$RPM_BUILD_ROOT/%{_bindir} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files

%defattr(0555, bin, bin)
%doc ChangeLog NEWS README COPYING
%{_bindir}/mrproject-engine
%{_bindir}/mrproject
%{_bindir}/run-mrproject
%{_libdir}/mrproject/components/*.so

%defattr (0444, bin, bin)
%{_datadir}/gnome/apps/Applications/*.desktop
%{_datadir}/gnome/ui/*.ui
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/images/mrproject/*
%{_datadir}/mrproject/*
%{_datadir}/oaf/*
%{_datadir}/mime-info/*
%{_prefix}/man/man1/*
